org.eclipse.gmt.modisco.infra.query.core

## Interface IModelQueryTooltip

Deprecated.
replaced by EMF Facet, cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470578

    @Deprecated
    public interface IModelQueryTooltip

Implement this interface if you want to customize the tooltip that is shown for a specific kind of queries.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`EClass` `getHandledQueryType()` Deprecated. Defines the type of query that this tooltip appears for.
`void` `setTextFor(ModelQuery modelQuery, StyledText styledText)` Deprecated. Set the tooltip text into the `StyledText` component.

### Method Detail

#### setTextFor

    void setTextFor(ModelQuery modelQuery,
                    StyledText styledText)

Deprecated.
Set the tooltip text into the `StyledText` component.

Parameters:
  `modelQuery` - the query that is beeing hovered, and for which the tooltip should be displayed
  `styledText` - the component that is used to display the text, which can be formatted with styles (bold, etc.)

#### getHandledQueryType

    EClass getHandledQueryType()

Deprecated.
Defines the type of query that this tooltip appears for.